//#include <pic18f4580.h>
#include <htc.h>
#include <stdio.h>
#include <delays.h>
#include "initcan.h"

#pragma config CONFIG1H = 0xC2   // oscillator switch enable, Fail safe clock enable, HS Oscillator PLL enable C6
#pragma config CONFIG2L = 0x1F    // Vbor=2.1V
#pragma config CONFIG2H = 0x1E	  // Watchdog disable
#pragma config CONFIG3H = 0x82
#pragma config CONFIG4L = 0x01	  // Debugger enable, XINST disable, LVP disable, Stack full=reset
#pragma config CONFIG5L = 0x0F	  // Code not protected
#pragma config CONFIG5H = 0xC0	  // Code not protected
#pragma config CONFIG6L = 0x0F
#pragma config CONFIG6H = 0xE0
#pragma config CONFIG7L = 0x0F
#pragma config CONFIG7H = 0x40


void init (void);


void main (void)
{
	init();
	TRISD=0x79;					// LATD1 & LATD2 &latd7 as output
    initcan();

		while(1)
		{
		/*
		//LATDbits.LATD2=1;
		//LATDbits.LATD1^=1;              
		//LATDbits.LATD1=0;
		if(OSCCONbits.OSTS==1)
		{
		LATDbits.LATD7^=1;
		_delay(1000);
		}*/
		
		_delay(1000);
		transmit_message();
		
		}
}

void init (void)
{
	OSCCON = 0x08;	// primary oscillator

/*  Interrupt priority system not required	 */
	RCON	= 0b00000000;
/*  A2D Converter is disabled	 */
	ADCON0	= 0b00000000;
/* Set all analog port to digital input/output */
	PCFG3 = 1;
	PCFG2 = 1;
	PCFG1 = 1;
	PCFG0 = 1;


	LATD=0;				// Init LATD
}